package de.thomasjacob.improve.logic.project;

import de.thomasjacob.webcore.logic.Model;

import java.util.HashSet;
import java.util.Set;


/**
 * The entity class for the table PROJECT.
 */
public class Project extends Model
{
	private boolean enabled = false;

	private Set issues = new HashSet();;

	private String name = "";

	public Set getIssues()
	{
		return this.issues;
	}

	public String getName()
	{
		return this.name;
	}

	public boolean isEnabled()
	{
		return this.enabled;
	}

	public void setEnabled(boolean enabled)
	{
		this.enabled = enabled;
	}

	public void setIssues(Set issues)
	{
		this.issues = issues;
	}

	public void setName(String name)
	{
		if (name == null)
		{
			name = "";
		}

		this.name = name;
	}
}